
%if 0%{?fuduntu}
%global kscd 1
%endif

%if 0%{?fuduntu} < 2013
%global monolithic 1
%endif

Name:    kdemultimedia
Epoch:   6
Version: 4.6.5
Release: 3%{?dist}
Summary: KDE Multimedia applications

Group:   Applications/Multimedia
# see also: http://techbase.kde.org/Policies/Licensing_Policy
License: GPLv2+
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdemultimedia-%{version}%{?alphatag}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: kdemultimedia-4.6.2-no_thumbs.patch 
Patch2: gcc-4-7-juk-stringhash.patch

## upstream patches
# http://websvn.kde.org/?revision=1241346&view=revision
Patch100: kdemultimedia-4.6.95-kmix_pulse_memleak.patch

# This one is normal, FLAC_OGG_LIBRARY is not actually used anyway:
# FLAC_OGG_LIBRARY:FILEPATH=FLAC_OGG_LIBRARY-NOTFOUND

BuildRequires: alsa-lib-devel
BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: flac-devel
BuildRequires: glib2-devel
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libtheora-devel
BuildRequires: libvorbis-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: taglib-devel
%if 0%{?fuduntu}
# dragonplayer, dvd menus
BuildRequires: xine-lib-devel libxcb-devel
# juk/kscd
BuildRequires: libtunepimp-devel
%endif
%if 0%{?kscd}
BuildRequires: libmusicbrainz3-devel
%endif

%if 0%{?monolithic}
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdebase-runtime%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
# compat obsoletes/provides
#Obsoletes: %{name}-dragonplayer < %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}-dragonplayer = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: dragonplayer = %{version}-%{release}
#Obsoletes: %{name}-juk < %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}-juk = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: juk = %{version}-%{release}
#Obsoletes: %{name}-kio_audiocd < %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}-kio_audiocd = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: kio_audiocd = %{version}-%{release}
#Obsoletes: %{name}-kmix < %{?epoch:%{epoch}:}%{version}-%{release}
Provides: %{name}-kmix = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: kmix = %{version}-%{release}
%if 0%{?kscd}
Provides: %{name}-kscd = %{?epoch:%{epoch}:}%{version}-%{release}
%endif
%else
## would mark this noarch, but rpm complains in monolthic=1 case
#BuildArch: noarch
Requires: %{name}-dragonplayer = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires: %{name}-juk = %{?epoch:%{epoch}:}%{version}-%{release} 
Requires: %{name}-kio_audiocd = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name}-kmix = %{?epoch:%{epoch}:}%{version}-%{release} 
%if 0%{?kscd}
Requires: %{name}-kscd = %{?epoch:%{epoch}:}%{version}-%{release} 
%endif
%endif

%if ! 0%{?kscd}
Obsoletes: %{name}-kscd < %{?epoch:%{epoch}:}%{version}-%{release}
%endif

%description
The %{name} package contains multimedia applications, including:
* dragonplayer (video player)
* juk (music player)
* kmix (audio mixer)
%if 0%{?kscd}
* kscd (audio cd player)
%endif

%package common
Group: System Environment/Libraries
Summary: Common files for %{name}
BuildArch: noarch
%description common
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.

%package dragonplayer
Summary: Video player
Group:   Applications/Multimedia
Provides: dragonplayer = %{version}-%{release} 
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
%description dragonplayer
%{summary}.

%package juk
Summary: Music player
Group:   Applications/Multimedia
Provides: juk = %{version}-%{release}
#Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
%description juk
%{summary}.

%package kio_audiocd
Summary: Audiocd kio slave
Group:   Applications/Multimedia
Provides: kio_audiocd = %{version}-%{release}
#Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description kio_audiocd
%{summary}.

%package kmix
Summary: Sound mixer
Group:   Applications/Multimedia
Provides: kmix = %{version}-%{release}
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}
%description kmix
%{summary}.

%package kscd
Summary: CD player
Group:   Applications/Multimedia
Provides: kscd = %{version}-%{release}
Requires: %{name}-kio_audiocd = %{?epoch:%{epoch}:}%{version}-%{release}
%description kscd
%{summary}.


%prep
%setup -q -n kdemultimedia-%{version}%{?alphatag}

%patch100 -p3 -b .kmix_pulse_memleak

# no mplayerthumbs/ffmpegthumbs
%patch1 -p1 -b .no_thumbs
%patch2 -p1

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
%if ! 0%{?kscd}
rm -rf %{buildroot}%{_kde4_docdir}/HTML/en/kcontrol/cddbretrieval/
%endif


%clean
rm -rf %{buildroot}


%if 0%{?monolithic}
%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi
%else
%post dragonplayer
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans dragonplayer
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun dragonplayer
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post juk 
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans juk 
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun juk 
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post kmix 
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kmix 
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kmix 
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%if 0%{?kscd}
%post kscd
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans kscd 
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun kscd 
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi
%endif
%endif

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files common
%defattr(-,root,root,-)
%doc COPYING README

%files 
%defattr(-,root,root,-)
%if ! 0%{?monolithic}
%files dragonplayer
%defattr(-,root,root,-)
%endif
%{_kde4_appsdir}/dragonplayer/
%{_kde4_bindir}/dragon
%{_kde4_libdir}/kde4/dragonpart.so
%{_kde4_appsdir}/solid/actions/dragonplayer-opendvd.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/dragonplayer_play_dvd.desktop
%{_kde4_configdir}/dragonplayerrc
%{_kde4_datadir}/applications/kde4/dragonplayer.desktop
%{_kde4_docdir}/HTML/en/dragonplayer/
%{_kde4_iconsdir}/hicolor/*/apps/dragonplayer.*
%{_kde4_datadir}/kde4/services/dragonplayer_part.desktop
%{_kde4_iconsdir}/oxygen/*/actions/player-volume-muted.*

%if ! 0%{?monolithic}
%files juk
%defattr(-,root,root,-)
%endif
%{_kde4_appsdir}/juk/
%{_kde4_bindir}/juk
%{_datadir}/dbus-1/interfaces/org.kde.juk.*.xml
%{_kde4_datadir}/kde4/services/ServiceMenus/jukservicemenu.desktop
%{_kde4_datadir}/applications/kde4/juk.desktop
%{_kde4_docdir}/HTML/en/juk/
%{_kde4_iconsdir}/hicolor/*/apps/juk.*

%if ! 0%{?monolithic}
%files kio_audiocd 
%defattr(-,root,root,-)
%endif
%{_kde4_appsdir}/kconf_update/audiocd.upd
%{_kde4_appsdir}/kconf_update/upgrade-metadata.sh
# own these to avoid dep on kdebase
%dir %{_kde4_appsdir}/konqsidebartng/
%dir %{_kde4_appsdir}/konqsidebartng/virtual_folders/
%dir %{_kde4_appsdir}/konqsidebartng/virtual_folders/services/
%{_kde4_appsdir}/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_kde4_appsdir}/solid/actions/solid_audiocd.desktop
%{_kde4_datadir}/kde4/services/audiocd.desktop
%{_kde4_datadir}/kde4/services/audiocd.protocol
%{_kde4_datadir}/config.kcfg/audiocd*.kcfg
%{_kde4_docdir}/HTML/en/kioslave/audiocd/
%{_kde4_libdir}/kde4/kcm_audiocd.so
%{_kde4_libdir}/kde4/kio_audiocd.so

%if ! 0%{?monolithic}
%files kmix 
%defattr(-,root,root,-)
%endif
%{_kde4_appsdir}/kmix/
%{_kde4_bindir}/kmix*
%{_kde4_datadir}/applications/kde4/kmix.desktop
%{_kde4_datadir}/autostart/*kmix*.desktop
%{_kde4_datadir}/kde4/services/kded/kmixd.desktop
%{_kde4_datadir}/kde4/services/kmixctrl_restore.desktop
%{_datadir}/dbus-1/interfaces/org.kde.KMix.xml
%{_kde4_docdir}/HTML/en/kmix/
%{_kde4_iconsdir}/hicolor/*/apps/kmix.*
%{_kde4_libdir}/libkdeinit4_kmix*.so
%{_kde4_libdir}/kde4/kded_kmixd.so

%if 0%{?kscd}
%if ! 0%{?monolithic}
%files kscd 
%defattr(-,root,root,-)
%endif
%{_kde4_appsdir}/kscd/
%{_kde4_bindir}/kscd
%{_kde4_appsdir}/solid/actions/kscd-play-audiocd.desktop
%{_kde4_datadir}/applications/kde4/kscd.desktop
%{_kde4_docdir}/HTML/en/kcontrol/cddbretrieval/
%{_kde4_iconsdir}/oxygen/*/actions/kscd-dock.*
%{_datadir}/dbus-1/interfaces/org.kde.kscd.*.xml
%{_kde4_iconsdir}/hicolor/*/apps/kscd.*
%{_kde4_datadir}/config.kcfg/kscd.kcfg
%endif

%files libs
%defattr(-,root,root,-)
%{_kde4_appsdir}/kconf_update/kcmcddb-emailsettings.upd
%{_kde4_libdir}/libaudiocdplugins.so.4*
%{_kde4_libdir}/kde4/libaudiocd_encoder_flac.so
%{_kde4_libdir}/kde4/libaudiocd_encoder_lame.so
%{_kde4_libdir}/kde4/libaudiocd_encoder_vorbis.so
%{_kde4_libdir}/kde4/libaudiocd_encoder_wav.so
%{_kde4_libdir}/libkcddb.so.4*
%{_kde4_libdir}/kde4/kcm_cddb.so
%{_kde4_datadir}/kde4/services/libkcddb.desktop
%{_kde4_datadir}/config.kcfg/libkcddb.kcfg
%{_kde4_libdir}/libkcompactdisc.so.4*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/audiocdencoder.h
%{_kde4_includedir}/libkcddb/
%{_kde4_includedir}/libkcompactdisc/
%{_kde4_libdir}/libaudiocdplugins.so
%{_kde4_libdir}/libkcddb.so
%{_kde4_libdir}/libkcompactdisc.so


%changelog
* Wed Feb 06 2013 Nick Bryda <nick@fuduntu.org> - 4.6.5-3
- Rebuild for new taglib
- gcc-4-7-juk-stringhash.patch - fix build with gcc 4.7

* Fri Aug 17 2012 Nick Bryda <nick@fuduntu.org> - 4.6.5-2
- Built for Fuduntu

* Tue Jul 12 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.5-2
- more kmix_pulse_memleak work (kde#264089)

* Fri Jul 01 2011 Jaroslav Reznik <jreznik@redhat.com> - 6:4.6.5-1
- 4.6.5

* Mon Jun 06 2011 Than Ngo <than@redhat.com> - 6:4.6.4-1
- 4.6.4

* Fri Apr 29 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.3-1
- 4.6.3

* Mon Apr 25 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.2-4
- re-enable kscd

* Tue Apr 19 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.2-3
- fix typo with %%_kde4_version macro usage

* Mon Apr 18 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.2-2
- modularize packaging (#623996, f16+)

* Wed Apr 06 2011 Than Ngo <than@redhat.com> - 6:4.6.2-1
- 4.6.2

* Mon Feb 28 2011 Rex Dieter <rdieter@fedoraproject.org> 6:4.6.1-1
- 4.6.1

* Fri Jan 21 2011 Jaroslav Reznik <jreznik@redhat.com> - 6:4.6.0-1
- 4.6.0

* Thu Jan 06 2011 Jaroslav Reznik <jreznik@redhat.com> - 6:4.5.95-1
- 4.5.95 (4.6rc2)

* Wed Dec 22 2010 <rdieter@fedoraproject.org> 6:4.5.90-1
- 4.5.90 (4.6rc1)

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 6:4.5.85-1
- 4.5.85 (4.6beta2)

* Sun Nov 21 2010 Rex Dieter <rdieter@fedoraproject.org> 6:4.5.80-1
- 4.5.80 (4.6beta1)

* Sun Oct 31 2010 Than Ngo <than@redhat.com> - 6:4.5.3-1
- 4.5.3

* Sat Oct 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.5.2-1
- 4.5.2

* Fri Aug 27 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.5.1-1
- 4.5.1
- unconditionally omit mplayerthumbs (#627722)

* Tue Aug 03 2010 Than Ngo <than@redhat.com> - 6:4.5.0-1
- 4.5.0

* Sat Jul 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.95-1
- 4.5 RC3 (4.4.95)

* Wed Jul 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.92-1
- 4.5 RC2 (4.4.92)

* Fri Jun 25 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.90-1
- 4.5 RC1 (4.4.90)

* Mon Jun 07 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.85-1
- 4.5 Beta 2 (4.4.85)

* Fri May 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.80-1
- 4.5 Beta 1 (4.4.80)

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.3-1
- 4.4.3

* Sat Apr 03 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.2-2
- sync kmix-pulse.patch : connect without a QEventLoop which can cause
  some strange issues

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.2-1
- 4.4.2

* Fri Mar 12 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-2
- sync kmix-pulse.patch from mdv

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-1
- 4.4.1

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 6:4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Fri Jan 29 2010 Rex Dieter <rdieter@fedoraproject.org. - 4.3.95-2
- respin kmix_pa patch

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Sun Jan 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-4
- respin kmix_pa patch

* Thu Jan 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-3
- (re)enable mplayerthumbs (fedora-only)

* Mon Jan 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-2
- respin kmix_pa patch

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-2
- (re)enable kmix/pa support, with patches from coling/mandriva
- tighten lib deps with %%{?_isa}
- deprecate Obsoletes: dragonplayer

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Wed Dec 16 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.3.80-2
- Repositioning the KDE Brand (#547361)

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Mon Nov 23 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Tue Nov 10 2009 Than Ngo <than@redhat.com> - 4.3.3-2
- rhel cleanup
- don't install kscd doc if it's not built

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6:4.2.98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sat Jul 11 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Fri Jun 05 2009 Than Ngo <than@redhat.com> - 4.2.90-2
- fix build issue without xine-lib

* Thu Jun 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Mon May 18 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-2
- Disable BR pulseaudio-libs-devel, KMix PA integration does not work yet.

* Wed May 13 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.85-1
- KDE 4.3 beta 1

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets

* Tue Mar 31 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Sun Feb 22 2009 Tejas Dinkar <tejas@gja.in> - 4.2.0-3
- fix kde#165249 No sound after second video file in Dragon Player (from 4.2.1)

* Sat Jan 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-2
- unowned dirs (#483516)

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Sat Dec 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-2
- restore BR libtunepimp-devel libmusicbrainz-devel for now, needed by Kscd

* Fri Dec 12 2008 Than Ngo <than@redhat.com> 4.1.85-1
- 4.2beta2

* Fri Nov 28 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 6:4.1.80-3
- dragon documentation disappeared (at least with my mock build), update file
  lists
- add kioslave documentation to file lists

* Thu Nov 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.80-3
- -devel: drop Req: kdebase-workspace-devel

* Thu Nov 20 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged

* Thu Nov 20 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 6:4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Wed Sep 17 2008 Than Ngo <than@redhat.com> 4.1.1-2
- backport from trunk to fix dragon kpart crash in the embedding application

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Thu Jun 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.0.80-3
- some of the libraries are clearly LGPLv2+, correct license tags for libs and devel

* Thu Jun 05 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.80-2
- License: GPLv2+

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Sat May 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- drop backported kmix-systray patch
- Obsoletes/Provides dragonplayer, add it to description and file list
- add BR xine-lib-devel for dragonplayer

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Tue Apr 01 2008 Lukáš Tinkl <ltinkl@redhat.com>
- fix kmix systray volume control tooltip

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- Rebuild for NDEBUG

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Wed Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0
- drop upstreamed cdparanoia patch

* Wed Jan 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- don't mention kaudiocreator in description, it's not actually there
- apply patch by Alex Merry to support FLAC 1.1.3+ in kio_audiocd
- apply patch by Allen Winter to fix cdparanoia detection
- list audiocdencoder.h in file list (-devel)

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- -libs: Obsoletes: -extras(-libs)
- cleanup BR's
- omit parallel-install symlink hacks

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Mon Dec 10 2007 Than Ngo <than@redhat.com> 3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1

* Fri Nov 23 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- libs subpkg
- also use epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- Requires: kdebase-workspace-devel
- BR: libXScrnSaver-devel
- BR: libXtst-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
